

options nonotes nomprint nomlogic;;
* STUDY 1a;	
	%sim_sample(simtot=100000,seed=6001,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=16,m=4.740988,sd=1.24,mk=1);
	%sim_sample(simtot=100000,seed=6002,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=16,m=4.740988,sd=.93,mk=2);
	
* STUDY 1b;	
	%sim_sample(simtot=100000,seed=6003,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=20,m=4.740988,sd=1.35,mk=3);
	%sim_sample(simtot=100000,seed=6004,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=20,m=4.740988,sd=.97,mk=4);

* STUDY 1c;	
	%sim_sample(simtot=100000,seed=6005,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=15,m=4.740988,sd=1.19,mk=5);
	%sim_sample(simtot=100000,seed=6006,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=15,m=4.740988,sd=.96,mk=6);
	

* STUDY 3;	
	%sim_sample(simtot=100000,seed=6007,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=15,m=4.740988,sd=1.21,mk=7);
	%sim_sample(simtot=100000,seed=6008,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=15,m=4.740988,sd=.94,mk=8);
	%sim_sample(simtot=100000,seed=6009,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=15,m=4.740988,sd=1.17,mk=9);
	%sim_sample(simtot=100000,seed=6010,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=15,m=4.740988,sd=1.11,mk=10);

	


* OVERALL;
* simply adding the pre-simulated conditions.;
	data all;
		merge r1-r10;
		
		*add n's to make calculations simpler (notation wise);
			n1=16;n2=16 ; 
			n3=20;n4=20;
			n5=15; n6=15;
			n7=15;  n8=15;  n9=15;  n10=15;  n5=20;  n6=21;
			

		*Compute squared deviations from grand mean;

			array avs {10} av1-av10;		*These are teh 14 simulated means;
			array sds {10} sd1-sd10;
			array d {10}   d1-d10;			*Deviations from overall mean;
			array n {10}   n1-n10;			*inneficiently used as observations sample sizes;
					do i = 1 to 10;
						
						 d(i)=((avs(i)-4.740988)/(sds(i)/(n(i)**.5)))**2;
					end;
					sdm_star=round(((sum(d1,d2,d3,d4,d5,d6,d7,d8,d9,d10)/9)**.5),.0001);
					sdm=     round(std(av1,av2,av3,av4,av5,av6,av7,av8,av9,av10),.0001);
			drop n1-n10 i;

	run;
	

	proc print data=all (obs=10);
	run;

	%pvalue(all,sdm,     0.1268);
	%pvalue(all,sdm_star,0.4749);
