

options nonotes nomprint nomlogic;;
* STUDY 1 ;	
	%sim_sample(simtot=100000,seed=5001,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=16,m=4.08,sd=1.1,mk=1);
	%sim_sample(simtot=100000,seed=5002,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=16,m=4.08,sd=.99,mk=2);
	%sim_sample(simtot=100000,seed=5003,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=16,m=4.08,sd=.93,mk=3);

	
* STUDY 2;	
	%sim_sample(simtot=100000,seed=5004,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=21,m=4.08,sd=1.04,mk=4);
	%sim_sample(simtot=100000,seed=5005,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=21,m=4.08,sd=.98,mk=5);
	%sim_sample(simtot=100000,seed=5006,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=21,m=4.08,sd=1.09,mk=6);


* STUDY 3;	*note: the d.v. is still perception of other, average of two likerts, but, no longer the exact same questions as Exp 1 and 2;
	%sim_sample(simtot=100000,seed=5007,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=27,m=4.08,sd=.94,mk=7);
	%sim_sample(simtot=100000,seed=5008,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=27,m=4.08,sd=1.03,mk=8);

* STUDY 4;	*Same dv as exp 3;
	%sim_sample(simtot=100000,seed=5009,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=20,m=4.08,sd=1,mk=9);
	%sim_sample(simtot=100000,seed=5010,lbound=1,ubound=7,round_y=0.5,round_m=0.01,round_sd=0.01,n=20,m=4.08,sd=.92,mk=10);

* STUDY 5;	*Now it is the average of 6 different likert scales;
	%sim_sample(simtot=100000,seed=5011,lbound=1,ubound=7,round_y=0.17,round_m=0.01,round_sd=0.01,n=11,m=4.08,sd=1.18,mk=11);
	%sim_sample(simtot=100000,seed=5012,lbound=1,ubound=7,round_y=0.17,round_m=0.01,round_sd=0.01,n=11,m=4.08,sd=1.14,mk=12);
	%sim_sample(simtot=100000,seed=5013,lbound=1,ubound=7,round_y=0.17,round_m=0.01,round_sd=0.01,n=11,m=4.08,sd=1.18,mk=13);
	%sim_sample(simtot=100000,seed=5014,lbound=1,ubound=7,round_y=0.17,round_m=0.01,round_sd=0.01,n=11,m=4.08,sd=.82,mk=14);


* OVERALL;
* simply adding the pre-simulated conditions.;
	data all;
		merge r1-r14;
		*add n's to make calculations simpler (notation wise);
			n1=16;n2=16 ; n3=16;
			n4=21;n5=21;n6=21;
			n7=27;n8=27;
			n9=20; n10=20;
			n11=11;n12=11;n13=11;n14=11;
	

		*Compute squared deviations from grand mean;

			array avs {14} av1-av14;		*These are teh 14 simulated means;
			array sds {14} sd1-sd14;		*These are teh 14 simulated means;
			array d {14}   d1-d14;			*Deviations from overall mean;
			array n {14}   n1-n14;			*inneficiently used as observations sample sizes;
					do i = 1 to 14;
						
						 d(i)=((avs(i)-4.0801)/(sds(i)/(n(i)**.5)))**2;
					end;
					sdm_star=round((sum(d1,d2,d3,d4,d5,d6,d7,d8,d9,d10,d11,d12,d13,d14)/13)**.5,.0001);
					sdm=round(std(av1,av2,av3,av4,av5,av6,av7,av8,av9,av10,av11,av12,av13,av14),.0001);
			drop n1-n14;

	run;
	

	proc print data=all (obs=10);
	run;

	%pvalue(all,sdm,     0.0901);
	%pvalue(all,sdm_star,0.3999);


	proc means data=all;
	var av1-av14 sd1-sd14;
	run;
